#include <cstdio>
#include <cstdlib>

using namespace std;

int nadjiPoziciju(int A[], int n, int x)
{
    int i,b=0,a=-1;
    for(i=0;i<n;i++)
    {
        if(b==0 && x>A[i])
            a=i;
        else
            b++;
    }
    return a;
}

int main()
{
    int x,i,n,b;
    scanf("%d%d",&n,&x);
    int A[n];
    for(i=0;i<n;i++)
        scanf("%d",&A[i]);
    b=nadjiPoziciju(A,n,x);
    if(b==-1)
        printf("%d",A[n-1]-x);
    else if(b==n-1)
        printf("%d",x-A[0]);
    else if(b<n/2)
        printf("%d",2*(x-A[0])+A[n-1]-x);
    else
        printf("%d",x-A[0]+2*(A[n-1]-x));
    return 0;
}